import { FC, PropsWithChildren, ReactNode } from "react";
import styles from "./style.module.scss";
export interface CardProps {
    url?: string;
    alt?: string;
    render?: () => ReactNode;
}

const Card: FC<PropsWithChildren<CardProps>> = (props) => {
    const { render, url, alt } = props;
    return (
        <div className={styles.cardWrap}>
            {render ? render() : <img src={url} alt={alt} className={"h-1/1"} />}
        </div>
    );
};

export default Card;
